main()
{

        level._effect["fire"] = loadfx ("fx/fire/tank_burn.efx");
	maps\mp\_fx::loopfx("fire", (860, -1940, 80), 0.1);

	level._effect["smoke"] = loadfx ("fx/smoke/firesmoke_l.efx");
	maps\mp\_fx::loopfx("smoke", (852, -1948, 212), 0.4);

	
	level._effect["fire2"] = loadfx ("fx/fire/tank_burn.efx");
	maps\mp\_fx::loopfx("fire2", (3548, -1740, 108), 0.1);

	level._effect["smoke2"] = loadfx ("fx/smoke/blacksmoke2.efx");
	maps\mp\_fx::loopfx("smoke2", (2948, -1188, 92), 0.3);

	// Specify two different explosion effects to randomly play
	level._effect["mortar_explosion"][0] = loadfx ("fx/impacts/newimps/dirthit_mortar2day.efx");
	level._effect["mortar_explosion"][1] = loadfx ("fx/impacts/newimps/minefield.efx");

	// Start the mortars commin down!
	level thread mortars();
	level thread planes();
	

	maps\mp\_load::main();

	
	ambientPlay("ambient_mp_dawnville");

	setCullFog (0, 6000, .32, .36, .40, 0);

	game["allies"] = "american";
	game["axis"] = "german";
	game["american_soldiertype"] = "airborne";
	game["american_soldiervariation"] = "normal";
	game["german_soldiertype"] = "german_waffen";
	game["german_soldiervariation"] = "normal";

	getent ("radio1","targetname") playloopsound ("radiosound1");
	getent ("cow","targetname") playloopsound ("cow");
	getent ("kuh","targetname") playloopsound ("kuh");
	getent ("pharao","targetname") playloopsound ("pharao");
	getent ("burn","targetname") playloopsound ("burn");
	getent ("bike","targetname") playloopsound ("bike");
	getent ("frog","targetname") playloopsound ("frog");
	getent ("frog2","targetname") playloopsound ("frog2");
	getent ("frog3","targetname") playloopsound ("frog3");
	getent ("burn2","targetname") playloopsound ("burn2");
	getent ("sheep","targetname") playloopsound ("sheep");

}

mortars()
{
	// Get an array of all the mortars in the level
	mortar = getentarray ("mortar","targetname");
	// Loop over and over while the level is loaded
	while (1)
	{
		// Wait 5-10 seconds randomly before doing a mortar explosion
		wait (5 + randomfloat(5));
		
		// Make sure there are no players close enough to this mortar to kill them
		GoodPosition = false;
		while (!GoodPosition)
		{
			// Pick a random mortar location
			rand = randomint(mortar.size);
			
			// Check if any players are within 200 of the randomly picked mortar
			GoodPosition = true;
			players = getentarray("player", "classname");
			for(i = 0; i < players.size; i++)
			{
				if (distance(mortar[rand].origin,players[i].origin) < 200)
				{
					GoodPosition = false;
					break;
				}
			}
		}
		
		// Play the incomming mortar sound effect
		mortar[rand] playsound("mortar_incoming");
		
		// Wait 2 seconds while the imcomming sound plays
		wait 2;
		
		// Do the explosion effect
		origin = mortar[rand] getorigin();
		playfx (level._effect["mortar_explosion"][randomint(2)], origin);
		
		// Play the explosion sound
		mortar[rand] playsound("mortar_explosion");
		
		// Make the explosion cause damage
		radiusDamage(mortar[rand].origin, 300, 2000, 50);
	}
}

planes()
{
	// Set how fast the planes fly...the smaller the number the faster they fly
	level.PlaneSpeed = 6;
	
	// Get the 3 stukas
	stuka1 = getent ("stuka1","targetname");
	stuka2 = getent ("stuka2","targetname");
	stuka3 = getent ("stuka3","targetname");
	
	// Set up the origin they are supposed to fly to, set their original origins, and hide the three planes
	temp = getent (stuka1.target,"targetname");
	stuka1.dest = temp.origin;
	stuka1.start = stuka1.origin;
	stuka1 hide();
	temp = getent (stuka2.target,"targetname");
	stuka2.dest = temp.origin;
	stuka2.start = stuka2.origin;
	stuka2 hide();
	temp = getent (stuka3.target,"targetname");
	stuka3.dest = temp.origin;
	stuka3.start = stuka3.origin;
	stuka3 hide();
	
	// wait 2 seconds (required for them to play a sound)
	wait 2;
	
	// While the level is running make planes fly overhead
	while (1)
	{
		// Make three planes flyby slightly behind each other and play the sound
		stuka1 thread plane_flyby("stuka_flyby");
		wait .15;
		stuka2 thread plane_flyby("stuka_flyby");
		wait .15;
		stuka3 thread plane_flyby("stuka_flyby");
		
		// Wait 60 (30) seconds and make them fly by again
		wait 180;
	}
}


// This funtion makes the planes flyby playing a given sound
plane_flyby(sound)
{
	// If you specified a sound to play then play it
	if (isdefined (sound))
		self playsound (sound);
	
	// Wait for the sound to play for 15 seconds
	wait 15;
	
	// Show the plane now
	self show();
	
	// Move the plane to it's destination it's supposed to fly to
	self moveto(self.dest, level.PlaneSpeed, 0.1, 0.1);
	
	// Wait for the plane to get to it's destination
	wait level.PlaneSpeed;
	
	// Now hide the plane again and move it to it's original location
	self hide();
	self.origin = self.start;
}