main()
{
	setCullFog (0, 8000, .32, .36, .40, 0);

	ambientPlay("ambient_mp_dawnville");

	maps\mp\mp_dawnville_fx::main();	
	maps\mp\_load::main();
        
	game["allies"] = "american";
	game["axis"] = "german";

	game["american_soldiertype"] = "airborne";
	game["american_soldiervariation"] = "normal";
	game["german_soldiertype"] = "german_waffen";
	game["german_soldiervariation"] = "normal";

	game["attackers"] = "allies";
	game["defenders"] = "axis";

	game["layoutimage"] = "mp_v2_ver2";

	//retrival settings
	level.obj["document_1"] = (&"RE_OBJ_CODE_BOOK");
	level.obj["document_2"] = (&"RE_OBJ_ARTILLERY_MAP");
	game["re_attackers"] = "allies";
	game["re_defenders"] = "axis";
	game["re_attackers_obj_text"] = ("Capture the Code Book and the Artillery Map");
	game["re_defenders_obj_text"] = ("Prevent Allies from capturing the Code Book and the Artillery Map");
	game["re_spectator_obj_text"] = ("Allies: Capture the Code Book and the Artillery Map\nAxis: Defend the Code Book and the Artillery Map");
	game["re_attackers_intro_text"] = ("Capture the Code Book and the Artillery Map");
	game["re_defenders_intro_text"] = ("Prevent Allies from capturing the Code Book and the Artillery Map");
	thread SetupDoors();
}

SetupDoors()
{
	doors = getentarray("door","targetname");
	if(isdefined(doors))
	{
		for(i=0;i<doors.size;i++)
		{
			doors[i] thread PlayDoorSound();
		}
	}
	doorslocked = getentarray("doorlocked", "targetname");
	if(isdefined(doorslocked))
	{
		for(i=0;i<doorslocked.size;i++)
		{
			doorslocked[i] thread PlayDoorLockedSound();
		}
	}
}

PlayDoorLockedSound()
{
	location = getent(self.target, "targetname");
	while(1)
	{
		self waittill("trigger");
		location playsound("mp_v2_metal_locked");
		wait(1);
	}
}

PlayDoorSound()
{
	ang1 = [];
	ang2 = [];
	ang = [];
	if(self.spawnflags&1 == 1) {
		state = 1; // start opened
		wait(2); // Allow the engine to open this door ;-)
	} else {
		state = 0; // start closed
	}
	ang = self.angles; // Angles at first time

	if(isdefined(self.time))
	{
		 while(1)
		 {
			  ang1 = self.angles;
			  wait(0.1);
			  ang2 = self.angles;
			  if (ang1[0] != ang2[0] || ang1[1] != ang2[1] || ang1[2] != ang2[2])
			  {
				a=ang[0] - ang1[0] + ang[1] - ang1[1] + ang[2] - ang1[2];
				if(a >= -15 && a <= 15)
				{
					newstate = 1 - state;
				} else {
					newstate = state;
				}
			   if(newstate == 1) {
					self playsound("mp_v2_metal_open");
					self playsound("null");
				   wait(self.time/1000);
			   } else {
					self playsound("mp_v2_metal_closemove");
					wait((self.time-100)/1000);
					self playsound("mp_v2_metal_closestop");
					wait(0.1);
			   }
			  }

		 }
	}
}


